Subject: Re: bug#31838: "make" error on guix master

From: Ben Sturmfels <[email-masked]>
Date: Thu, 28 Jun 2018 10:44:04 +1000

On 17/06/18 07:08, Ricardo Wurmus wrote:

>> I'm on the current head of Guix master,
>> b494bbe466419dcac9f415c1152131f012b9555e, and I'm getting an error
>> building guix. I've just run a "make clean" and "./bootstrap" prior to
>> the below.
> […]
>>   CXXLD    guix-daemon
>> /gnu/store/l4lr0f5cjd0nbsaaf8b5dmcw1a1yypr3-glibc-2.27/lib/libpthread.so.0: undefined reference to `__sigtimedwait@GLIBC_PRIVATE'
>> collect2: error: ld returned 1 exit status
>> make[2]: *** [Makefile:3366: guix-daemon] Error 1
>> make[2]: Leaving directory '/home/ben/work/ws/guix'
>> make[1]: *** [Makefile:4493: all-recursive] Error 1
>> make[1]: Leaving directory '/home/ben/work/ws/guix'
>> make: *** [Makefile:3144: all] Error 2
> 
> I haven’t seen this error before.  Are you doing this inside of a *pure*
> environment?

Thanks Ricardo, I tried "--pure" which didn't do the trick on its own,
but then tried disabling my .bashrc, which made the issue go away.

Regards,
Ben